## ipe 7.2.28

=== artwork/Makefile ===
# 
# Makefile for building icons
#
# The Ipe icons are actually produced from ipe_logo.ipe
# using iperender at different resolutions.
#
# We keep the rendered icons in git anyway, so that Ipe can be built
# and packaged on machines that do not have Latex installed.
# 

ipelogo = ipe_logo.ipe
ICONSET = ipe.iconset
IPERENDER ?= iperender

GOAL ?= $(ICONSET)

$(ICONSET): $(ipelogo)
	mkdir -p $(ICONSET)
	$(IPERENDER) -png -resolution 41 -transparent -nocrop $(ipelogo) $(ICONSET)/icon_16x16.png
	$(IPERENDER) -png -resolution 82 -transparent -nocrop $(ipelogo) $(ICONSET)/icon_32x32.png
	$(IPERENDER) -png -resolution 162 -transparent -nocrop $(ipelogo) $(ICONSET)/icon_64x64.png
	$(IPERENDER) -png -resolution 322 -transparent -nocrop $(ipelogo) $(ICONSET)/icon_128x128.png
	$(IPERENDER) -png -resolution 644 -transparent -nocrop $(ipelogo) $(ICONSET)/icon_256x256.png
	$(IPERENDER) -png -resolution 1286 -transparent -nocrop $(ipelogo) $(ICONSET)/icon_512x512.png
	$(IPERENDER) -png -resolution 2570 -transparent -nocrop $(ipelogo) $(ICONSET)/icon_512x512@2x.png

=== src/ipepresenter/Makefile ===
# --------------------------------------------------------------------
# Makefile for IpePresenter
# --------------------------------------------------------------------

BUNDLEDIR = $(BUILDDIR)/IpePresenter.app/Contents
OBJDIR = $(BUILDDIR)/obj/ipepresenter
include ../common.mak

TARGET = $(call exe_target,ipepresenter)

CPPFLAGS += -I../include -I../ipecanvas -I../ipecairo \
	$(UI_CFLAGS) $(CAIRO_CFLAGS) $(ZLIB_CFLAGS)
LIBS += -L$(buildlib) -lipecanvas -lipecairo -lipe \
	$(UI_LIBS) $(CAIRO_LIBS) $(ZLIB_LIBS)

all: $(TARGET)

sources = ipepresenter.cpp
win_sources = ipepresenter_win.cpp
cocoa_sources = ipepresenter_cocoa.cpp
qt_sources = ipepresenter_qt.cpp timelabel_qt.cpp
moc_headers = ipepresenter_qt.h timelabel_qt.h
gtk_sources = ipepresenter_gtk.cpp

ifdef WIN32
CXXFLAGS += -mwindows
LDFLAGS  += -mwindows

resource = $(OBJDIR)/res.o

$(resource): ipepresenter.rc
	$(WINDRES) -i ipepresenter.rc -o $@ --include-dir=.

else
resource =
endif

ifdef IPEUI_COCOA
nib = $(RESOURCEDIR)/mainmenu.nib

$(nib): mainmenu.xib
	ibtool --compile $(nib) mainmenu.xib

# libraries to link against are here
buildlib = $(BUILDDIR)/Ipe.app/Contents/Frameworks

else
nib = 
endif

$(TARGET): $(objects) $(resource) $(nib)
	$(MAKE_BINDIR)
	$(CXX) $(LDFLAGS) -o $@ $(objects) $(resource) $(LIBS)

clean:
	@-rm -f $(objects) $(resource) $(TARGET) $(DEPEND)

$(DEPEND): Makefile
	$(MAKE_DEPEND)

-include $(DEPEND)

install: $(TARGET)
	$(INSTALL_DIR) $(INSTALL_ROOT)$(IPEBINDIR)
	$(INSTALL_PROGRAMS) $(TARGET) $(INSTALL_ROOT)$(IPEBINDIR)

ifdef IPEUI_COCOA
IPELIBS = $(BUILDDIR)/Ipe.app/Contents/Frameworks
APPLIBS = $(BUILDDIR)/IpePresenter.app/Contents/Frameworks
dll_symlinks = ln -sf lib$1.$(IPEVERS).dylib $(APPLIBS)/lib$1.dylib

app:
	$(INSTALL_DIR) $(RESOURCEDIR)
	$(INSTALL_DIR) $(APPLIBS)
	$(INSTALL_FILES) Info.plist $(BUNDLEDIR)
	$(INSTALL_FILES) $(BUILDDIR)/ipe.icns $(RESOURCEDIR)
	$(INSTALL_PROGRAMS) $(IPELIBS)/libipe.$(IPEVERS).dylib $(APPLIBS)
	$(INSTALL_PROGRAMS) $(IPELIBS)/libipecairo.$(IPEVERS).dylib $(APPLIBS)
	$(INSTALL_PROGRAMS) $(IPELIBS)/libipecanvas.$(IPEVERS).dylib $(APPLIBS)
	$(call dll_symlinks,ipe)
	$(call dll_symlinks,ipecairo)
	$(call dll_symlinks,ipecanvas)
endif

# --------------------------------------------------------------------

=== src/ipelets/kgon/Makefile ===
# --------------------------------------------------------------------
# Makefile for kgon ipelet (an example of a C++ ipelet)
# --------------------------------------------------------------------

IPESRCDIR = ../..
OBJDIR = $(BUILDDIR)/obj/ipelets
DEPEND = $(OBJDIR)/kgon.depend
include ../../common.mak

TARGET = $(call ipelet_target,kgon)
LUASCRIPT = kgon.lua

CPPFLAGS += -I../../include
LIBS += -L$(buildlib) -lipe
CXXFLAGS += $(DLL_CFLAGS)

all: $(TARGET)

sources	= kgon.cpp

$(TARGET): $(objects)
	$(MAKE_IPELETDIR)
	$(CXX) $(LDFLAGS) $(PLUGIN_LDFLAGS) -o $@ $^ $(LIBS)

clean:
	@-rm -f $(objects) $(TARGET) $(DEPEND)

$(DEPEND): Makefile
	$(MAKE_DEPEND)

-include $(DEPEND)

install: $(TARGET)
	$(INSTALL_DIR) $(INSTALL_ROOT)$(IPELETDIR)
	$(INSTALL_PROGRAMS) $(TARGET) $(INSTALL_ROOT)$(IPELETDIR)
	$(INSTALL_FILES) $(LUASCRIPT) $(INSTALL_ROOT)$(IPELETDIR)

# --------------------------------------------------------------------

=== debian/changelog ===
ipe (7.2.28-2.1build4) noble; urgency=medium

  * No-change rebuild against libqt6core6t64.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 15 Apr 2024 14:26:08 +0100

ipe (7.2.28-2.1build3) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 18:31:29 +0000

ipe (7.2.28-2.1build2) noble; urgency=medium

  * No-change rebuild against libqt6core6t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 12 Mar 2024 01:52:52 +0000

ipe (7.2.28-2.1build1) noble; urgency=medium

  * No-change rebuild against libpng16-16t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Thu, 29 Feb 2024 06:57:54 +0000

ipe (7.2.28-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Rename libraries for 64-bit time_t transition.  Closes: #1064142

 -- Lukas Märdian <slyon@debian.org>  Wed, 28 Feb 2024 11:42:44 +0000

ipe (7.2.28-2) unstable; urgency=medium

  [ Steve Robbins ]
  * [e3dcebc] update standards version

 -- Steve M. Robbins <smr@debian.org>  Thu, 24 Aug 2023 22:48:58 -0500

ipe (7.2.28-1) unstable; urgency=medium

  [ Steve Robbins ]
  * [7554cfa] Update watch file.  Remove "Files-Excluded" because new version
    no longer has "build" directory.
  * [d14d391] New upstream version 7.2.28
  * [f8c8598] Rebase patches.  Dropping 0003: ipe now falls back to online
    manual.
  * [8c44fed] Adapt to new upstream.

 -- Steve M. Robbins <smr@debian.org>  Wed, 23 Aug 2023 21:57:07 -0500

=== debian/control ===
Source: ipe
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Steve M. Robbins <smr@debian.org>
Section: graphics
Priority: optional
Build-Depends: dpkg-dev (>= 1.22.5), sharutils,
               debhelper-compat (= 13),
               doxygen,
               zlib1g-dev,
               qt6-base-dev, qt6-base-dev-tools,
               libqt6svg6,
               libfreetype-dev, libcairo2-dev, libjpeg-dev,
               libpng-dev, liblua5.4-dev, zlib1g-dev,
               libspiro-dev, libgsl-dev, curl, doxygen,
               fonts-urw-base35
Build-Conflicts: libipe1-dev
Standards-Version: 4.6.2
Vcs-Browser: https://salsa.debian.org/science-team/ipe
Vcs-Git: https://salsa.debian.org/science-team/ipe.git
Homepage: https://ipe.otfried.org/

Package: ipe
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends},
         texlive-latex-base,
         fonts-urw-base35,
         libqt6svg6,
         sensible-utils,
         xdg-utils
Recommends: lua5.4
Suggests: texlive-latex-recommended
Description: drawing editor for creating figures in PDF or PS formats
 Ipe supports making small figures for inclusion into LaTeX
 documents as well as making multi-page PDF presentations
 Ipe's main features are:
  * Entry of text as LaTeX source code. This makes it easy to enter
    mathematical expressions, and to reuse the LaTeX-macros of the main
    document.  In the display text is displayed as it will appear in
    the figure.
  * Produces pure Postscript/PDF, including the text. Ipe converts the
    LaTeX-source to PDF or Postscript when the file is saved.
  * It is easy to align objects with respect to each other (for
    instance, to place a point on the intersection of two lines, or to
    draw a circle through three given points) using various snapping
    modes.
  * Users can provide ipelets (Ipe plug-ins) to add functionality to
    Ipe.  This way, Ipe can be extended for each task at hand.
  * The text model is based on Unicode, and has been tested with Korean,
     Chinese, and Japanese.
 .
 Package lua5.3 is recommended if using Ipe with LaTeX.
 .
 Package texlive-latex-recommended enables unicode text entry (for
 accented characters).

Package: libipe7.2.28t64
Provides: ${t64:Provides}
Replaces: libipe7.2.28
Breaks: libipe7.2.28 (<< ${source:Version})
Architecture: any
Section: libs
Depends: ${misc:Depends},
         ${shlibs:Depends}
Description: Ipe library used by ipelets
 This package provides a library used by Ipe and its extensions.
 Ipelets are plug-ins for Ipe that are used to add functionality to
 Ipe.
 .
 Ipe is the drawing editor for creating figures in PDF or PS formats.

Package: libipe-dev
Architecture: any
Section: libdevel
Depends: ${misc:Depends},
         libipe7.2.28t64 (= ${binary:Version})
Conflicts: libipe1-dev
Replaces: libipe1-dev
Description: Ipe library used by ipelets (developer files)
 This package provides static libraries and include files needed to
 create Ipelets, plug-ins for Ipe that are used to add functionality
 to Ipe.
 .
 Ipe is the drawing editor for creating figures in PDF or PS formats.

=== debian/rules ===
#!/usr/bin/make -f

export IPEPREFIX=/usr
export INSTALL_ROOT=$(shell pwd)/debian/tmp

IPEVER = 7.2.28t64

export DEB_BUILD_MAINT_OPTIONS=hardening=+all

# Tell qtchooser which version we want.
export QT_SELECT=qt6

%:
	dh $@ --sourcedirectory=src

build-arch: debian/ipetoipe docs

docs:
	make -C src documentation
	mkdir -p build/doc
	touch build/doc/manual-is-online

override_dh_install:
	dh_install
	dh_install -plibipe$(IPEVER) debian/tmp/usr/lib/lib*.so.* usr/lib

override_dh_link:
	dh_link
	dh_link usr/share/ipe/$(IPEVER)/doc usr/share/doc/ipe/doc

# TODO: install and use wrapper to avoid issue #405294.
# Needs work: the real executable must be renamed.
debian/ipetoipe: debian/ipetoipe.sh
	sed < $< > $@ -e 's,xIPELIBDIRx,/usr/bin,'
	chmod +x $@

=== debian/watch ===
version=4

opts="dversionmangle=s/\+dfsg\d*$//,repacksuffix=+dfsg1" \
  https://github.com/otfried/ipe/tags .*/v@ANY_VERSION@.tar.gz debian uupdate

## ipe 7.2.30

=== src/Makefile ===
# --------------------------------------------------------------------
# Makefile for building all components of Ipe
# --------------------------------------------------------------------

GOAL ?= all

ifdef IPECROSS
IPEQVORONOI = 1
endif

subdirs = \
	ipelib \
	ipelets/lua \
	ipetoipe \
	ipe6upgrade \
	ipeextract \
	ipescript \
	ipecairo \
	iperender \
	ipecanvas \
	ipelua \
	ipeui \
	ipe \
	ipepresenter \
	ipecurl

ifdef IPEQVORONOI
subdirs += ipelets/qvoronoi
endif

ICONSET = ../artwork/ipe.iconset
ifdef IPECROSS
IPEICO = ../build/ipe.ico
else
IPEICO =
endif
IPEICNS = ../build/ipe.icns

.PHONY: all manual epub book documentation $(subdirs)

all: $(subdirs)

ipetoipe: ipelib
ipelets/kgon: ipelib
ipelets/qvoronoi: ipelib
ipe6upgrade: ipelib
ipeextract: ipelib
ipecairo: ipelib
iperender: ipelib ipecairo
ipecanvas: ipelib ipecairo
ipeview: ipecanvas
ipelua: ipelib
ipescript: ipelib ipelua
ipe: ipecanvas ipelua $(IPEICO)
ipepresenter: ipecanvas $(IPEICO)
ipecurl: ipelib

$(subdirs):
	$(MAKE) --directory=$@ $(GOAL)

$(IPEICO):
	mkdir -p ../build
	icotool -c $(ICONSET)/icon_16x16.png \
		$(ICONSET)/icon_32x32.png \
		$(ICONSET)/icon_64x64.png \
		$(ICONSET)/icon_128x128.png \
		$(ICONSET)/icon_256x256.png \
		$(ICONSET)/icon_512x512.png -o $(IPEICO)

$(IPEICNS):
	mkdir -p ../build
	iconutil -c icns -o $(IPEICNS) $(ICONSET)

.PHONY: clean install
clean:
	$(MAKE)	GOAL=clean

install: all
	$(MAKE) GOAL=install

app: all $(IPEICNS)
	$(MAKE) --directory=ipe app
	$(MAKE) --directory=ipelets/lua app
ifdef IPEQVORONOI
	$(MAKE) --directory=ipelets/qvoronoi app
endif
	$(MAKE) --directory=ipepresenter app

manual:
	sphinx-build -M html ../manual ../build

epub:
	sphinx-build -M epub ../manual ../build

book:
	sphinx-build -M latexpdf ../manual ../build

documentation:
	$(MAKE) --directory=ipelib documentation

# --------------------------------------------------------------------

=== src/ipe/Makefile ===
# --------------------------------------------------------------------
# Makefile for Ipe
# --------------------------------------------------------------------

OBJDIR = $(BUILDDIR)/obj/ipe
include ../common.mak

TARGET = $(call exe_target,ipe)

CPPFLAGS += -I../include -I../ipecanvas -I../ipecairo -I../ipelua \
	-I../ipeui -I../spiro \
	$(LUA_CFLAGS) $(UI_CFLAGS) $(CAIRO_CFLAGS) $(ZLIB_CFLAGS)
LIBS += -L$(buildlib) -lipecanvas -lipecairo -lipelua -lipe -lipeui \
	$(LUA_LIBS) $(UI_LIBS) $(CAIRO_LIBS) $(ZLIB_LIBS) $(DL_LIBS)

manualdir = ../../build/doc
doxydir = ../../build/doxygen/ipelib/html

ifdef IPEBUNDLE
CPPFLAGS += -DIPEBUNDLE
else
CPPFLAGS += -DIPELETDIR=\"$(IPELETDIR)\"
CPPFLAGS += -DIPELUADIR=\"$(IPELUADIR)\"
CPPFLAGS += -DIPEICONDIR=\"$(IPEICONDIR)\"
CPPFLAGS += -DIPEDOCDIR=\"$(IPEDOCDIR)\"
CPPFLAGS += -DIPESTYLEDIR=\"$(IPESTYLEDIR)\"
endif

all: $(TARGET)

sources	= tools.cpp appui.cpp uilua.cpp 
qt_sources = main_qt.cpp appui_qt.cpp controls_qt.cpp 
moc_headers = appui_qt.h controls_qt.h
win_sources = main_win.cpp appui_win.cpp pathview_win.cpp pagesorter_win.cpp
gtk_sources = main_gtk.cpp appui_gtk.cpp
cocoa_sources = main_cocoa.cpp appui_cocoa.cpp controls_cocoa.cpp \
	pagesorter_cocoa.cpp

ifdef WIN32
CXXFLAGS += -mwindows
LDFLAGS  += -mwindows

resource = $(OBJDIR)/res.o

$(resource): ipe.rc
	$(WINDRES) -i ipe.rc -o $@ --include-dir=.

else
resource = 
endif

ifdef IPEUI_COCOA

nib = $(RESOURCEDIR)/mainmenu.nib

$(nib): mainmenu.xib
	mkdir -p $(RESOURCEDIR)
	ibtool --compile $(nib) mainmenu.xib

else
nib = 
endif

$(TARGET): $(objects) $(resource) $(nib)
	$(MAKE_BINDIR)
	$(CXX) $(LDFLAGS) -o $@ $(objects) $(resource) $(LIBS)

clean:
	@-rm -f $(objects) $(resource) $(TARGET) $(DEPEND)

$(DEPEND): Makefile
	$(MAKE_DEPEND)

-include $(DEPEND)

ifdef IPEAPP

app:
	$(INSTALL_DIR) $(RESOURCEDIR)/scripts
	$(INSTALL_DIR) $(RESOURCEDIR)/lua
	$(INSTALL_DIR) $(RESOURCEDIR)/styles
	$(INSTALL_DIR) $(RESOURCEDIR)/icons
#	$(INSTALL_DIR) $(BUNDLEDIR)/SharedSupport/doc
	$(INSTALL_SCRIPTS) ../../scripts/* $(RESOURCEDIR)/scripts
	$(INSTALL_FILES) lua/*.lua $(RESOURCEDIR)/lua
	$(INSTALL_FILES) ../../styles/basic.isy $(RESOURCEDIR)/styles
	$(INSTALL_FILES) ../../styles/colors.isy $(RESOURCEDIR)/styles
	$(INSTALL_FILES) ../../styles/beamer.isy $(RESOURCEDIR)/styles
	$(INSTALL_FILES) ../../styles/presentation.isy $(RESOURCEDIR)/styles
	$(INSTALL_FILES) ../../styles/decorations.isy $(RESOURCEDIR)/styles
	$(INSTALL_FILES) ../../styles/note-paper.isy $(RESOURCEDIR)/styles
	$(INSTALL_FILES) ../../styles/tikz-shapes.isy $(RESOURCEDIR)/styles
	$(INSTALL_FILES) ../../styles/imperial.isy $(RESOURCEDIR)/styles
	$(INSTALL_FILES) ../../styles/right-to-left.isy $(RESOURCEDIR)/styles
	$(INSTALL_FILES) ../../styles/arabic.isy $(RESOURCEDIR)/styles
	$(INSTALL_FILES) Info.plist $(BUNDLEDIR)
	$(INSTALL_FILES) $(BUILDDIR)/ipe.icns $(RESOURCEDIR)
	$(INSTALL_FILES) ../../artwork/icons.ipe $(RESOURCEDIR)/icons
#	$(INSTALL_FILES) $(manualdir)/* $(BUNDLEDIR)/SharedSupport/doc
#	$(INSTALL_FILES) $(doxydir)/* $(BUNDLEDIR)/SharedSupport/doc

endif

install: $(TARGET)
	$(INSTALL_DIR) $(INSTALL_ROOT)$(IPEBINDIR) 
	$(INSTALL_DIR) $(INSTALL_ROOT)$(IPEMANDIR) 
#	$(INSTALL_DIR) $(INSTALL_ROOT)$(IPEDOCDIR) 
	$(INSTALL_DIR) $(INSTALL_ROOT)$(IPELUADIR) 
	$(INSTALL_DIR) $(INSTALL_ROOT)$(IPESTYLEDIR) 
	$(INSTALL_DIR) $(INSTALL_ROOT)$(IPESCRIPTDIR) 
	$(INSTALL_DIR) $(INSTALL_ROOT)$(IPEICONDIR)
	$(INSTALL_PROGRAMS) $(TARGET) $(INSTALL_ROOT)$(IPEBINDIR)
	$(INSTALL_SCRIPTS) ../../scripts/* $(INSTALL_ROOT)$(IPESCRIPTDIR)
	$(INSTALL_FILES) ../../man/*.1 $(INSTALL_ROOT)$(IPEMANDIR) 
#	$(INSTALL_FILES) $(manualdir)/* $(INSTALL_ROOT)$(IPEDOCDIR)
#	test -d $(doxydir) && \
#		$(INSTALL_FILES) $(doxydir)/* $(INSTALL_ROOT)$(IPEDOCDIR) || true
	$(INSTALL_FILES) lua/*.lua $(INSTALL_ROOT)$(IPELUADIR)
	$(INSTALL_FILES) ../../styles/*.isy $(INSTALL_ROOT)$(IPESTYLEDIR)
	$(INSTALL_FILES) ../../artwork/icons.ipe $(INSTALL_ROOT)$(IPEICONDIR)
	$(INSTALL_FILES) ../../artwork/ipe_logo.ipe $(INSTALL_ROOT)$(IPEICONDIR)
	$(INSTALL_FILES) ../../artwork/ipe.iconset/icon_128x128.png $(INSTALL_ROOT)$(IPEICONDIR)

# --------------------------------------------------------------------

=== src/ipeextract/Makefile ===
# --------------------------------------------------------------------
# Makefile for Ipeextract
# --------------------------------------------------------------------

OBJDIR = $(BUILDDIR)/obj/ipeextract
include ../common.mak

TARGET = $(call exe_target,ipeextract)

CPPFLAGS += -I../include
LIBS += -L$(buildlib) -lipe

all: $(TARGET)

sources	= ipeextract.cpp

$(TARGET): $(objects)
	$(MAKE_BINDIR)
	$(CXX) $(LDFLAGS) -o $@ $^ $(LIBS)

clean:
	@-rm -f $(objects) $(TARGET) $(DEPEND)

$(DEPEND): Makefile
	$(MAKE_DEPEND)

-include $(DEPEND)

install: $(TARGET)
	$(INSTALL_DIR) $(INSTALL_ROOT)$(IPEBINDIR)
	$(INSTALL_PROGRAMS) $(TARGET) $(INSTALL_ROOT)$(IPEBINDIR)

# --------------------------------------------------------------------

=== src/iperender/Makefile ===
# --------------------------------------------------------------------
# Makefile for Iperender
# --------------------------------------------------------------------

OBJDIR = $(BUILDDIR)/obj/iperender
include ../common.mak

TARGET = $(call exe_target,iperender)

CPPFLAGS += -I../include $(CAIRO_CFLAGS) -I../ipecairo
LIBS += -L$(buildlib) -lipecairo -lipe $(CAIRO_LIBS)

all: $(TARGET)

sources	= iperender.cpp

$(TARGET): $(objects)
	$(MAKE_BINDIR)
	$(CXX) $(LDFLAGS) -o $@ $^ $(LIBS)

clean:
	@-rm -f $(objects) $(TARGET) $(DEPEND)

$(DEPEND): Makefile
	$(MAKE_DEPEND)

-include $(DEPEND)

install: $(TARGET)
	$(INSTALL_DIR) $(INSTALL_ROOT)$(IPEBINDIR)
	$(INSTALL_PROGRAMS) $(TARGET) $(INSTALL_ROOT)$(IPEBINDIR)
	$(INSTALL_PROGRAMS) iperender-par $(INSTALL_ROOT)$(IPEBINDIR)

# --------------------------------------------------------------------

=== src/ipeui/Makefile ===
# --------------------------------------------------------------------
# Makefile for ipeui
# --------------------------------------------------------------------

OBJDIR = $(BUILDDIR)/obj/ipeui
include ../common.mak

TARGET = $(call dll_target,ipeui)
MAKE_SYMLINKS = $(call dll_symlinks,ipeui)
SONAME = $(call soname,ipeui)
INSTALL_SYMLINKS = $(call install_symlinks,ipeui)

# QtSpell is not yet available for Qt6
ifdef IPE_SPELLCHECK
CPPFLAGS += -DIPE_SPELLCHECK
endif
CXXFLAGS += $(UI_CFLAGS) $(LUA_CFLAGS) $(DLL_CFLAGS) $(SPELL_CFLAGS)
LIBS += $(UI_LIBS) $(LUA_LIBS) $(SPELL_LIBS)

all: $(TARGET)

sources = ipeui_common.cpp
cocoa_sources = ipeui_cocoa.cpp
qt_sources = ipeui_qt.cpp
moc_headers = ipeui_qt.h
win_sources = ipeui_win.cpp
gtk_sources = ipeui_gtk.cpp

$(TARGET): $(objects)
	$(MAKE_LIBDIR)
	$(CXX) $(LDFLAGS) $(DLL_LDFLAGS) $(SONAME) -o $@ $^ $(LIBS)
	$(MAKE_SYMLINKS)

clean:
	@-rm -f $(objects) $(TARGET) $(DEPEND)

$(DEPEND): Makefile
	$(MAKE_DEPEND)

-include $(DEPEND)

install: $(TARGET)
	$(INSTALL_DIR) $(INSTALL_ROOT)$(IPELIBDIR)
	$(INSTALL_PROGRAMS) $(TARGET) $(INSTALL_ROOT)$(IPELIBDIR)
	$(INSTALL_SYMLINKS)

# --------------------------------------------------------------------

=== src/ipelets/lua/Makefile ===
# --------------------------------------------------------------------
# Makefile for Lua ipelets (only for install)
# --------------------------------------------------------------------

IPESRCDIR = ../..
include ../../common.mak

LUASCRIPTS = move.lua goodies.lua align.lua euclid.lua \
	symbols.lua search-replace.lua selectby.lua \
	gridmaker.lua

all: 

install: 
	$(INSTALL_DIR) $(INSTALL_ROOT)$(IPELETDIR)
	$(INSTALL_FILES) $(LUASCRIPTS) $(INSTALL_ROOT)$(IPELETDIR)

ifdef IPEAPP

app:
	$(INSTALL_DIR) $(RESOURCEDIR)/ipelets
	$(INSTALL_FILES) $(LUASCRIPTS) $(RESOURCEDIR)/ipelets

endif

# --------------------------------------------------------------------

=== src/ipelets/qvoronoi/Makefile ===
# --------------------------------------------------------------------
# Makefile for qvoronoi ipelet
# Needs reentrant qhull library (www.qhull.org)
# On Ubuntu/Debian:  apt install libqhull-r8 libqhull-dev
# --------------------------------------------------------------------

IPESRCDIR = ../..
OBJDIR = $(BUILDDIR)/obj/ipelets
DEPEND = $(OBJDIR)/qvoronoi.depend
include ../../common.mak

ifdef WIN32
QHULL_CFLAGS = -I$(IPEDEPS)/include/libqhull_r
QHULL_LIBS = -L$(IPEDEPS)/lib -lqhull_r
else ifdef MACOS
QHULL_CFLAGS = -I$(IPEDEPS)/include/libqhull_r
QHULL_LIBS = -L$(IPEDEPS)/lib -lqhull_r
else
QHULL_CFLAGS ?= -I/usr/include/libqhull_r
QHULL_LIBS ?= -lqhull_r
endif

TARGET = $(call ipelet_target,qvoronoi)
LUASCRIPT = qvoronoi.lua

CPPFLAGS += -I../../include $(QHULL_CFLAGS)
LIBS += -L$(buildlib) $(QHULL_LIBS) -lipe 
CXXFLAGS += $(DLL_CFLAGS)

all: $(TARGET)

sources	= qvoronoi.cpp

$(TARGET): $(objects)
	$(MAKE_IPELETDIR)
	$(CXX) $(LDFLAGS) $(PLUGIN_LDFLAGS) -o $@ $^ $(LIBS)

clean:
	@-rm -f $(objects) $(TARGET) $(DEPEND)

$(DEPEND): Makefile
	$(MAKE_DEPEND)

-include $(DEPEND)

install: $(TARGET)
	$(INSTALL_DIR) $(INSTALL_ROOT)$(IPELETDIR)
	$(INSTALL_PROGRAMS) $(TARGET) $(INSTALL_ROOT)$(IPELETDIR)
	$(INSTALL_FILES) $(LUASCRIPT) $(INSTALL_ROOT)$(IPELETDIR)

ifdef IPEAPP

app:
	$(INSTALL_DIR) $(RESOURCEDIR)/ipelets
	$(INSTALL_FILES) qvoronoi.lua $(RESOURCEDIR)/ipelets

endif

# --------------------------------------------------------------------

=== debian/changelog ===
ipe (7.2.30-1build1) oracular; urgency=medium

  * Rebuild against new libgsl28.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 30 Jul 2024 08:42:06 +0200

ipe (7.2.30-1) unstable; urgency=medium

  [ Pino Toscano ]
  * [00aff02] Drop the Debian menu file
  * [98e577d] Remove unused ipe.desktop file, not shipped for 14 years

  [ Steve Robbins ]
  * [44f6f35] New upstream version 7.2.30
  * [abf8117] Add build-dep dpkg-dev (>= 1.22.5), from 64-bit time_t transition
    change (#1064142).  The rest of the renaming is not required since library
    package SO name is changing to 7.2.30.
  * [cb87672] Change package names for new SO version 7.2.30.

 -- Steve M. Robbins <smr@debian.org>  Sat, 08 Jun 2024 17:00:58 -0500

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,5 @@
 Source: ipe
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>
+Maintainer: Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders: Steve M. Robbins <smr@debian.org>
 Section: graphics
 Priority: optional
@@ -55,10 +54,7 @@
  Package texlive-latex-recommended enables unicode text entry (for
  accented characters).
 
-Package: libipe7.2.28t64
-Provides: ${t64:Provides}
-Replaces: libipe7.2.28
-Breaks: libipe7.2.28 (<< ${source:Version})
+Package: libipe7.2.30
 Architecture: any
 Section: libs
 Depends: ${misc:Depends},
@@ -74,7 +70,7 @@
 Architecture: any
 Section: libdevel
 Depends: ${misc:Depends},
-         libipe7.2.28t64 (= ${binary:Version})
+         libipe7.2.30 (= ${binary:Version})
 Conflicts: libipe1-dev
 Replaces: libipe1-dev
 Description: Ipe library used by ipelets (developer files)
